// Reused with Lach's permission

local filelist = {
	{
		folder = "dirk",
		scripts = {
			"soc.lua",
			"hud.lua",
			"main.lua",
			"ringbattle.lua",
			"dirkbot.lua"
		}
	},
	{
		folder = "whirl",
		scripts = {
			"soc.lua",
			"main.lua",
			"battlemod.lua",
			"battlemodextra.lua",
			"whirlbot.lua"
		}
	},
	{
		folder = "vesola",
		scripts = {
			"soc.lua",
			"main.lua",
			"battlemod.lua",
			"vesolabot.lua"
		}
	},
	{
		folder = "miscellaneous",
		scripts = {
			"teamkinetic.lua",
			"skincolors.lua",
			"moreanimations.lua",
			"dance.lua",
			"versioncheck.lua",
			"end.lua"
		}
	}
}

for _, entry in ipairs(filelist)
	local folder = entry.folder
	for _, script in ipairs(entry.scripts)
		dofile(folder .. "/" .. script)
	end
end