// You can't play this with SRB2 v2.2.9 and under. get v2.2.10 or up!
// Sonic.EXE related text coded by DirkTheHusky.

local gametime
local freeze

if (VERSION == 202) and (SUBVERSION < 10)
	addHook("ThinkFrame", function()
		for player in players.iterate do
			if gametime == nil
				gametime = 0
			end
			
			gametime = $+1
			if gametime >= 5*TICRATE and gametime < 10*TICRATE
				S_SetMusicPosition(player.realtime)
				freeze = true
				print("\133ERROR! Code for this addon is highly unstable and prohibited. Turn the game off immediately.")
			end
			if gametime >= 86*TICRATE
				COM_BufInsertText(player, "quit")
			end
		end
	end)

	addHook("MobjThinker", function(mo)
		if freeze == true
			mo.momx = 0
			mo.momy = 0
			mo.momz = 0
			mo.tics = 9999
			if gametime > 10*TICRATE
				S_StopSound(mo)
			end
		end
	end)

	local function execut(v)
		if freeze == true
		and gametime > 10*TICRATE
			if v.screentime == nil
				v.screentime = 0
			end
			v.screentime = $+1
			S_StopMusic()
			v.drawScaled(0, 0, FRACUNIT, v.cachePatch("WHAT"))
			if v.screentime > 5*TICRATE and v.screentime < 8*TICRATE
				v.drawLevelTitle(48, 84, "Hold up buddy!", V_SNAPTOTOP)
			end
			if v.screentime > 11*TICRATE and v.screentime < 14*TICRATE
				v.drawLevelTitle(32, 68, "You're playing", V_SNAPTOTOP)
				v.drawLevelTitle(32, 100, "on an outdated", V_SNAPTOTOP)
				v.drawLevelTitle(32, 132, "version of srb2!", V_SNAPTOTOP)
			end
			if v.screentime > 17*TICRATE and v.screentime < 20*TICRATE
				v.drawLevelTitle(10, 68, "This addon isn't", V_SNAPTOTOP)
				v.drawLevelTitle(10, 100, "supported for this.", V_SNAPTOTOP)
				v.drawLevelTitle(10, 132, "version of the game.", V_SNAPTOTOP)
			end
			if v.screentime > 23*TICRATE and v.screentime < 26*TICRATE
				v.drawLevelTitle(6, 68, "I won't allow you to", V_SNAPTOTOP)
				v.drawLevelTitle(6, 100, "play the game with", V_SNAPTOTOP)
				v.drawLevelTitle(6, 132, "some unstable addon.", V_SNAPTOTOP)
			end
			if v.screentime > 29*TICRATE and v.screentime < 32*TICRATE
				v.drawLevelTitle(10, 68, "Update your srb2", V_SNAPTOTOP)
				v.drawLevelTitle(10, 100, "game to the latest", V_SNAPTOTOP)
				v.drawLevelTitle(10, 132, "vesion and try again.", V_SNAPTOTOP)
			end
			if v.screentime > 35*TICRATE and v.screentime <= 38*TICRATE
				v.drawLevelTitle(40, 100, "I will be waiting.", V_SNAPTOTOP)
			end
			
			if v.screentime == 5*TICRATE
			or v.screentime == 11*TICRATE
			or v.screentime == 17*TICRATE
			or v.screentime == 23*TICRATE
			or v.screentime == 29*TICRATE
			or v.screentime == 35*TICRATE
				S_StartSound(nil, sfx_s1ca)
			end
		end
	end
	hud.add(execut, "title")
	hud.add(execut, "game")
end