//Whirl's SRB2 battle abilities and support by DirkTheHusky
//Man, this script is...a bit of a mess. How did I do?

//Not bad actually! I just modded a couple things to make it spawn rocks ~Lumy

local whirl_cooldown = TICRATE*3
local whirl_topspintime = TICRATE*3
local whirl_holdcostdelay = TICRATE*1
local whirl_holdcost = 1
local whirl_maxhold = 10

local whirl_ramchargecooldown = 3*TICRATE

local whirl_drillsound = sfx_s3kd3s --sfx_s3kcds --sfx_s3kccs
local whirl_ramrecover = sfx_s227 --sfx_s3kcds --sfx_s3kccs
local whirl_rockspawndelay = 3
local whirl_rockvspeed = (do return P_RandomRange(1,6) end)

local rockfreezetime = TICRATE*3
local rocktumbletime = 24

local WhirlBattle = false
--local B = CBW_Battle

addHook("MobjSpawn",function(mo)
	//values can change depending on material
	mo.hit_sound = sfx_hit00
	mo.blockable = 1
	mo.block_stun = 4
	mo.block_sound = sfx_s3k49
	mo.block_hthrust = 4
	mo.block_vthrust = 4
end,MT_DRILLEDROCK)

addHook("MobjThinker",function(r)
	if r.colorflash
		r.colorized = (r.fuse%8 == 0)
	end
	if r.state == S_ICEGIB and (r.flags2 & MF2_AMBUSH)
		local flake = P_SpawnMobj(r.x + P_RandomRange(-16,16)*r.scale, r.y + P_RandomRange(-16,16)*r.scale, r.z, MT_PARTICLE)
		flake.momz = r.momz
		flake.scale = r.scale
		flake.state = S_ICEFLAKE1
		flake.eflags = $ | (r.eflags & MFE_VERTICALFLIP)
		flake.tics = 3
	end
	if r.target and r.target.valid and r.target.player then
		local t = r.target
		local p = r.target.player
		/*
		local angle = FixedAngle( (leveltime % 360) * FRACUNIT)
		local radius = 4
		r.momx = cos(angle)*radius
		r.momy = sin(angle)*radius
		*/
		if p.whirl_accelerating then
			r.fuse = $+1
			P_SetObjectMomZ(r,gravity/2,true)
			r.colorized = false
		end
		if p.whirl_callingthrow then
			r.whirl_launch = 1
		end
	end
	if r.whirl_launch and not r.whirl_thrown then
		local mult = 2
		CBW_Battle.InstaThrustZAim(r,P_RandomRange(0,360)*ANG1,1*ANG10*P_MobjFlip(r)*whirl_rockvspeed()*mult,mult*r.scale*12)
		r.whirl_thrown = 1
		S_StartSoundAtVolume(r,sfx_crumbl,190)
	end
end, MT_DRILLEDROCK)

addHook("ShouldDamage",function(target,weapon,source)
    if not (target and target.valid and target.player and weapon and weapon.valid) then return end
    local angle = R_PointToAngle2(
            weapon.x-weapon.momx, weapon.y-weapon.momy,
            target.x-target.momx, target.y-target.momy)
            
    if (target and source and source.player and CBW_Battle.MyTeam(target, source.player))
    or (weapon.type != MT_DRILLEDROCK)
    then
        return
    end
    
    if weapon.state == S_ROCKCRUMBLEB then
        CBW_Battle.DoPlayerTumble(target.player, 24, angle, weapon.scale*3, true)
        return false
    end
    if weapon.state == S_ROCKCRUMBLED then
        S_StartSoundAtVolume(target, sfx_s3k4b, 128)
        CBW_Battle.DoPlayerFlinch(target.player, rockfreezetime/6, angle, weapon.scale*3, false)
        target.dirk_icesprayhit = {FRACUNIT, rockfreezetime, leveltime, source.player}
        return false
    end
    if weapon.state == S_ICEGIB and (weapon.flags2 & MF2_AMBUSH) then
        if dirk_freezeplayer(target.player, source) != false then
            P_AddPlayerScore(source.player, 25)
            target.player.mo.dirk_defrost = 1
            target.player.mo.dirk_defrostsource = source
        end
        return false
    end
    if weapon.state == S_FIREBALL then
        if target.player.guardtics then
            S_StartSound(target, sfx_s3k83)
            target.player.guardtics = 0
            target.player.guard = -1
        end
        return true
    end
end,MT_PLAYER)

local rock_properties = function(rock,rockblasttime)
	local player = rock.target.player
	rock.fuse = rockblasttime
	
	//no switch cases?
	if player.floormaterial
		if player.floormaterial == "concrete"
			//default
		elseif player.floormaterial == "grass" or player.floormaterial == "dirt"
			rock.state = S_ROCKCRUMBLEA
		elseif player.floormaterial == "sand"
			rock.colorized = true
			rock.state = S_ROCKCRUMBLEB
			rock.color = SKINCOLOR_SANDY
			player.whirl_drilltimer = $-1
		elseif player.floormaterial == "snow"
			rock.colorized = true
			rock.state = S_ROCKCRUMBLED
			rock.color = SKINCOLOR_WHITE
			player.whirl_drilltimer = $-1
		elseif player.floormaterial == "cloth"
			rock.colorized = true
			rock.color = SKINCOLOR_WHITE
		elseif player.floormaterial == "wood_heavy"
			rock.state = S_WOODDEBRIS
		elseif player.floormaterial == "metal_heavy"
			rock.state = S_BROKENROBOTB
			rock.scale = $*2
			rock.block_stun = TICRATE
			player.whirl_drilltimer = $+whirl_rockspawndelay
		elseif player.floormaterial == "glass" or player.floormaterial == "ice"
			rock.state = S_ICEGIB
			rock.colorized = true
			rock.color = SKINCOLOR_AETHER
			rock.blockable = 2
			if player.floormaterial == "ice" then
				rock.color = SKINCOLOR_ICY
				rock.flags2 = $|MF2_AMBUSH
			end
			rock.blendmode = AST_ADD
			rock.rollangle = P_RandomRange(-180,180)*ANG1
			rock.block_stun = 1
			rock.block_hthrust = 1
			rock.block_vthrust = 1
--			rock.hit_sound = sfx_hit02
		elseif player.floormaterial == "water" //somehow
			rock.state = S_SMALLBUBBLE
			rock.blendmode = AST_ADD
		elseif player.floormaterial == "lava"
			if player.whirl_overheat then player.whirl_overheat = $+1 end
			rock.blockable = 3
			rock.state = S_FIREBALL
			rock.blendmode = AST_ADD
		end
	end
--	print(tostring(whirlstuff.getGroundTexture(mo)))
	
	if G_GametypeHasTeams() and rock.target and rock.target.valid and rock.target.player then
		--rock.colorized = true
		rock.color = rock.target.player.skincolor
		rock.colorflash = true
	end
end
local shootrock = function(mo,ang1,ang2,scale,rockblasttime)	
	local rock = P_SPMAngle(mo,MT_DRILLEDROCK,0,0)
	if rock and rock.valid then
		CBW_Battle.InstaThrustZAim(rock,ang1,ang2*P_MobjFlip(rock)*whirl_rockvspeed(),scale)
		rock.momx = $/2
		rock.momy = $/2
		rock.whirl_launch = 0
		rock.target = mo
		rock_properties(rock,rockblasttime)
	end
end

local cancelDrill = function(mo)
	local player = mo.player
	
	player.actionstate = 0
	S_StopSoundByID(mo, sfx_s3kcal)
	mo.spriteyoffset = 0
	if P_IsObjectOnGround(mo)
		mo.state = S_PLAY_WALK
	else
		mo.state = S_PLAY_FALL
	end
	
	local saverings = player.rings //i don't know why is this necessary ~lumy
	CBW_Battle.ApplyCooldown(player,whirl_cooldown) //nooo my rings (??)
	if player.rings < saverings then player.rings = saverings end //restore vanished rings
	
	player.canguard = false
	mo.friction = (29*FRACUNIT/32)
	player.acceleration = skins[player.mo.skin].acceleration
	player.spintime = 0
	player.whirl_overheat = 0
	player.whirl_accelerating = 0
end

local function WhirlSpecial(mo,doaction,pressedaction)
	local player = mo.player
	
	if not(CBW_Battle.CanDoAction(player)) 
		player.actionstate = 0
	return end
	
	if player.whirl_drilltimer then
		player.whirl_drilltimer = max(0,$-1)
	end
	
	//Action Info
	player.actiontext = "Tornado Top"
	if P_IsObjectOnGround(mo) then player.actiontext = "Ground Drill" end

	if player.actionstate != 0 then 
		player.canguard = false
		if player.actionstate <= 2 then
			player.action2text = "Hold!"
			if not player.rings then player.action2text = nil end
			player.actionrings = whirl_holdcost
		end
	else
		player.actionrings = 10
		player.action2text = nil
		if player.spintime then cancelDrill(mo) end //prevent undesired effects
	end
	
	//Trigger
	if player.actionstate == 0
		mo.spriteyoffset = 0
		if doaction == 1
			CBW_Battle.PayRings(player)
			mo.spriteyoffset = 10*FRACUNIT
			player.actionstate = 1
			mo.state = S_PLAY_SPINDASH
			P_SpawnGhostMobj(mo)
			S_StartSound(mo, sfx_cdfm11)
			player.spintime = whirl_topspintime
			player.whirl_overheat = 0
			player.whirl_accelerating = 0
			player.whirl_callingthrow = 0
			player.exhaustmeter = 2*FRACUNIT
			
			local windvortex = P_SpawnMobjFromMobj(player.mo, 0,0,0, MT_WHIRLWINDVORTEX2)
			windvortex.state = S_WHIRLWINDVORTEX
			windvortex.angle = ANGLE_90
			windvortex.target = player.mo
			windvortex.reactiontime = 40*player.mo.scale
			windvortex.renderflags = RF_FLOORSPRITE|RF_NOSPLATBILLBOARD
			
			local windvortex2 = P_SpawnMobjFromMobj(player.mo, 0,0,0, MT_WHIRLWINDVORTEX2)
			windvortex2.state = S_WHIRLWINDVORTEX
			windvortex2.angle = ANGLE_270
			windvortex2.target = player.mo
			windvortex2.reactiontime = 20*player.mo.scale
			windvortex2.spritexscale = FRACUNIT/10*7
			windvortex2.spriteyscale = FRACUNIT/10*7
			windvortex2.renderflags = RF_FLOORSPRITE|RF_NOSPLATBILLBOARD
			
			local windvortex3 = P_SpawnMobjFromMobj(player.mo, 0,0,0, MT_WHIRLWINDVORTEX2)
			windvortex3.state = S_WHIRLWINDVORTEX
			windvortex3.angle = ANGLE_180
			windvortex3.target = player.mo
			windvortex3.reactiontime = 0
			windvortex3.spritexscale = FRACUNIT/10*4
			windvortex3.spriteyscale = FRACUNIT/10*4
			windvortex3.renderflags = RF_FLOORSPRITE|RF_NOSPLATBILLBOARD
		end
	end
	
	if player.actionstate
		//holding down the ability
		if player.spintime <= TICRATE and player.rings and player.actionstate <= 2
		and CBW_Battle.ButtonCheck(player,player.battleconfig_special)
		and player.whirl_overheat < whirl_maxhold then
			player.spintime = $+whirl_holdcostdelay
			CBW_Battle.PayRings(player)
			player.whirl_overheat = $+1
			if player.rings < 1 then S_StartSound(mo,sfx_noring) end
		elseif player.whirl_overheat == whirl_maxhold
			S_StartSound(mo,sfx_oheat)
			player.whirl_overheat = $+1
		end
		
		if player.whirl_overheat >= 6 then
			player.exhaustmeter = TICRATE
			local smoke = P_SpawnMobjFromMobj(mo,
			25*(P_RandomFixed()-(FRACUNIT/2)),
			50*(P_RandomFixed()-(FRACUNIT/2)),
			(50*(P_RandomFixed()-(FRACUNIT/2)))+(mo.height/2),
			MT_SMOKE)
		end
	
		//spawn rocks
		if P_IsObjectOnGround(mo) and player.actionstate <= 2 then
			P_StartQuake(3*mo.scale, 1)
			if not player.whirl_drilltimer then
				player.whirl_drilltimer = whirl_rockspawndelay
				shootrock(mo,P_RandomRange(0,360)*ANG1,1*ANG10,mo.scale*12, TICRATE*2)
			end
			if not S_SoundPlaying(mo, whirl_drillsound)
				S_StartSound(mo,whirl_drillsound)
			end
		end
		
		//beyblade physics
		if player.spintime > 0 then
			player.spintime = $-1
		else
			player.spintime = 0
		end
		player.canguard = false
		if player.actionstate == 1
		and (player.spintime >= 1*TICRATE and player.spintime < 4*TICRATE)
			player.actionstate = 2
			mo.state = S_PLAY_DRILL
			if player.cmd.forwardmove
				P_InstaThrust(mo, mo.angle, 24*mo.scale)
			end
			if not S_SoundPlaying(mo, sfx_s3kcal)
				S_StartSound(mo, sfx_s3kcal)
			end
		end
		if player.actionstate == 1
		or player.actionstate == 3
			mo.state = S_PLAY_SPINDASH
		end
		
		//physics, and a lot of vfx
		if player.actionstate == 2
			mo.state = S_PLAY_DRILL
			player.pflags = $|PF_THOKKED
			mo.friction = (29*FRACUNIT/40) --(29*FRACUNIT/35)
			player.acceleration = 96
			
			if P_IsObjectOnGround(mo) then
				local beyblade = P_SpawnMobjFromMobj(player.mo, 0,0,0, MT_PARTICLE)
				beyblade.state = S_WHIRLWINDSPLASH
				beyblade.angle = ANG10*(leveltime%36)
				beyblade.target = mo
				beyblade.scale = mo.scale
				beyblade.tics = 22
				beyblade.renderflags = RF_FLOORSPRITE|RF_NOSPLATBILLBOARD
			end
			
			if (player.spintime > 0 and player.spintime < 1*TICRATE)
				player.actionstate = 3
				player.pflags = $&~(PF_THOKKED)
				S_StopSoundByID(mo, sfx_s3kc4l)
				mo.state = S_PLAY_SPINDASH
				mo.friction = (29*FRACUNIT/32)
				player.acceleration = skins[player.mo.skin].acceleration
				
				//launch the rocks?
				if not CBW_Battle.ButtonCheck(player,player.battleconfig_special)
					player.whirl_accelerating = 1
					S_StartSoundAtVolume(mo,sfx_s3k8e,170)
				end
			end
		end
		//ran out of spintime
		if player.spintime == 0 
			if player.whirl_accelerating
				player.whirl_callingthrow = 1
				P_SpawnGhostMobj(mo)
			end
			cancelDrill(mo)
		end
		//cancel
		if CBW_Battle.PlayerButtonPressed(player,player.battleconfig_guard,false)
		and not player.whirl_accelerating
		then
			P_SpawnGhostMobj(mo)
			cancelDrill(mo)
			CBW_Battle.ResetPlayerProperties(player,false,false)
			player.actiontime = -1
			S_StartSound(mo,sfx_s3k7d)
		end
	end
end

addHook("MobjThinker", function(vortex)
	if not (vortex and vortex.valid) then return end
	if (vortex.target and vortex.target.valid and vortex.target.player) then
		if vortex.target.player.spintime
			P_TeleportMove(vortex, vortex.target.x, vortex.target.y, vortex.target.z+vortex.reactiontime)
			if vortex.target.player.whirl_accelerating then
				vortex.colorized = true
				vortex.color = vortex.target.color
				if (leveltime%2==0) then vortex.color = SKINCOLOR_SUPERGOLD5 end
			end
			if P_PlayerInPain(vortex.target.player)
				P_RemoveMobj(vortex)
			end
		else
			P_RemoveMobj(vortex)
		end
	else
		P_RemoveMobj(vortex)
	end
end, MT_WHIRLWINDVORTEX2)

//Time for some beyblade. Reusing the bump stuff from his ram charge. Credit goes to SMS Alfredo
addHook("MobjMoveBlocked", function(mobj)
	if mobj and mobj.valid and mobj.player and mobj.skin == "whirl"
	and mobj.player.actionstate == 2
	and mobj.player.speed
		mobj.player.whirlbonkangle = mobj.player.drawangle
		P_InstaThrust(mobj, mobj.player.whirlbonkangle+ANGLE_180, 24*FRACUNIT)
		local particle = P_SpawnMobj(mobj.x, mobj.y, mobj.z+mobj.height, MT_PARTICLE)
		if particle and particle.valid
			particle.state = S_RAMSPARKS1
		end
		if P_RandomChance(FRACUNIT/50) then
			S_StartSound(mobj, sfx_whrbnk)
		else
			S_StartSound(mobj, sfx_s3k5f)
			S_StartSoundAtVolume(mobj, sfx_s3k59, 128)
		end
	end
end, MT_PLAYER)

local function boostramcollide(thing, tmthing)
	if not (thing and thing.valid)
	or not (tmthing and tmthing.valid)
	or thing.player == nil
	or tmthing.player == nil
		return
	end
	
	if not CBW_Battle then return end
	
	if (thing.player.whirlram or thing.player.blazeboosting)
	and (tmthing.player.whirlram or tmthing.player.blazeboosting)
		CBW_Battle.DoPlayerTumble(thing.player, (TICRATE*3/2), tmthing.angle, 12*thing.scale, true)
		CBW_Battle.DoPlayerTumble(tmthing.player, (TICRATE*3/2), thing.angle, 12*tmthing.scale, true)
	end
end

addHook("MobjCollide", boostramcollide, MT_PLAYER)


local KineticExhaustW = function(player)

	local maxtime = 4*TICRATE

	if player.whirltornadojump == 1
		player.exhaustmeter = max(0,$-FRACUNIT/maxtime)
		if player.exhaustmeter <= 0
			player.whirltornadojump = 0
			player.mo.state = S_PLAY_FALL
			player.normalspeed = skins[player.mo.skin].normalspeed
		end
	end	
	return false
end

//It's reset time
local function overheatwhirl(player)
	if player.whirlram
		player.camerascale = FRACUNIT
		S_StopSoundByID(player.mo, sfx_s3kcfl)
		player.pflags = $&~PF_FORCESTRAFE
		player.normalspeed = skins[player.mo.skin].normalspeed
		player.charflags = $&~SF_RUNONWATER
		if player.windvortex and player.windvortex.valid
			P_RemoveMobj(player.windvortex)
		end
		
		if player.mo and player.mo.valid
			player.mo.rollangle = 0
			player.mo.spritexoffset = 0
			player.mo.ramcooldown = 0
			if P_IsObjectOnGround(player.mo)
				player.mo.state = S_PLAY_RUN
			else
				player.mo.state = S_PLAY_FLY
			end
		end
	end

	player.ramoverheat = true
	player.whirlram = false
	player.isrecoil = false
	player.whirlramspeed = player.speed
	player.whirlbonkangle = nil
end


//Main Setup!			
			
addHook("ThinkFrame",function()
	if (CBW_Battle and not WhirlBattle)
		local function KineticPriorityW(player)
			if player.mo.ramchargetime == nil
				player.mo.ramchargetime = 0
			end
			if player.gotflagdebuff then //Dumb check to restore Whirl
				S_StopSoundByID(player.mo, sfx_s3kc4l)
				player.mo.spriteyoffset = 0
				player.spintime = 0
				if player.whirlram
					player.mo.ramchargetime = $+1
					if player.mo.ramchargetime > 3*TICRATE and player.mo.ramchargetime < 4*TICRATE
						local smoke = P_SpawnMobjFromMobj(player.mo,
						25*(P_RandomFixed()-(FRACUNIT/2)),
						50*(P_RandomFixed()-(FRACUNIT/2)),
						(50*(P_RandomFixed()-(FRACUNIT/2)))+(player.mo.height/2),
						MT_SMOKE)
					elseif player.mo.ramchargetime > 4*TICRATE
						overheatwhirl(player)
						player.mo.ramcooldown = 5*TICRATE
					end
				else
					player.mo.ramchargetime = $-1
				end	
		
				if player.mo.ramchargetime < 0
					player.mo.ramchargetime = 0
				end
				
				if player.mo.ramcooldown == nil
					player.mo.ramcooldown = 0
				end
			end
			
			// overheat properties
			if player.ramoverheat == true
				player.mo.ramcooldown = $-1
				local smoke = P_SpawnMobjFromMobj(player.mo,
				25*(P_RandomFixed()-(FRACUNIT/2)),
				50*(P_RandomFixed()-(FRACUNIT/2)),
				(50*(P_RandomFixed()-(FRACUNIT/2)))+(player.mo.height/2),
				MT_SMOKE)
				if not S_SoundPlaying(player.mo, whirl_drillsound)
					S_StartSound(player.mo, whirl_drillsound)
				end
				if (leveltime % 4)
					player.mo.color = SKINCOLOR_CRIMSON
					player.mo.colorized = true
				else
					player.mo.color = player.skincolor
					player.mo.colorized = false
				end
				if player.mo.ramcooldown <= 1
					player.mo.color = player.skincolor
					player.mo.colorized = false
					S_StopSoundByID(player.mo, whirl_drillsound)
					if not S_SoundPlaying(player.mo, whirl_ramrecover)
						S_StartSound(player.mo, whirl_ramrecover)
					end
				end
				if player.mo.ramcooldown < 0
					player.ramoverheat = false
				end
			end
			
			if player.whirltornadojump and player.mo.state == S_PLAY_DRILL then
				CBW_Battle.SetPriority(player,3,2,"fang_tailbounce",2,2,"propeller drill")
			elseif player.whirltornadojump
				CBW_Battle.SetPriority(player,2,1,nil,2,1,"tornado jump")
			elseif player.whirlram then
				//We don't dodge or guard when using this move
				CBW_Battle.SetPriority(player,0,1,"knuckles_glide",1,2,"Ram Charge")
			elseif player.actionstate then
				CBW_Battle.SetPriority(player,1,1,nil,1,1,"Tornado Top")
			end
		end
			
		CBW_Battle.SkinVars["whirl"] = {
			weight = 110,
			shields = 1,
			special = WhirlSpecial,
			guard_enabled = true,
			guard_frame = 2,
			func_priority_ext = KineticPriorityW,
			--func_collide = TODO,
			func_exhaust = KineticExhaustW
		}
	
		WhirlBattle = true
		print("Whirl BattleMod functions have been loaded.")
	end
end)